package autocode

import (
	"github.com/flipped-aurora/gin-vue-admin/server/api/v1"
	"github.com/flipped-aurora/gin-vue-admin/server/middleware"
	"github.com/gin-gonic/gin"
)

type UnitPlaceRouter struct {
}

// InitUnitPlaceRouter 初始化 UnitPlace 路由信息
func (s *UnitPlaceRouter) InitUnitPlaceRouter(Router *gin.RouterGroup) {
	unitPlaceRouter := Router.Group("unitPlace").Use(middleware.OperationRecord())
	var unitPlaceApi = v1.ApiGroupApp.AutoCodeApiGroup.UnitPlaceApi
	{
		unitPlaceRouter.POST("createUnitPlace", unitPlaceApi.CreateUnitPlace)   // 新建UnitPlace
		unitPlaceRouter.DELETE("deleteUnitPlace", unitPlaceApi.DeleteUnitPlace) // 删除UnitPlace
		unitPlaceRouter.DELETE("deleteUnitPlaceByIds", unitPlaceApi.DeleteUnitPlaceByIds) // 批量删除UnitPlace
		unitPlaceRouter.PUT("updateUnitPlace", unitPlaceApi.UpdateUnitPlace)    // 更新UnitPlace
		unitPlaceRouter.GET("findUnitPlace", unitPlaceApi.FindUnitPlace)        // 根据ID获取UnitPlace
		unitPlaceRouter.GET("getUnitPlaceList", unitPlaceApi.GetUnitPlaceList)  // 获取UnitPlace列表
	}
}
